Bug 436705 - i915.modeset=1 X cursor corruption
Summary: i915.modeset=1 X cursor corruption
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-09 18:01 UTC by Charles R. Anderson
Modified: 2008-03-13 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 22:05:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (807 bytes, text/plain)
2008-03-09 18:01 UTC, Charles R. Anderson
no flags Details
Xorg.0.log with xorg.conf and i915.modeset=1 (19.91 KB, text/plain)
2008-03-09 18:02 UTC, Charles R. Anderson
no flags Details
Xorg.0.log with xorg.conf and without i915.modeset=1 (23.14 KB, text/plain)
2008-03-09 18:03 UTC, Charles R. Anderson
no flags Details

Description Charles R. Anderson 2008-03-09 18:01:54 UTC
Description of problem:

When using the newest kernel with i915.modeset=1 support, the X cursor is a
corrupted block of pixels.

From kernel changelog:

* Thu Mar 06 2008 Dave Airlie <airlied@redhat.com>
- Add initial i915 drm modesetting tree - needs i915.modeset=1 on command
  line + new libdrm + new intel driver to actually be useful

Version-Release number of selected component (if applicable):

kernel-2.6.25-0.101.rc4.git3.fc9.x86_64
libdrm-2.4.0-0.9.fc9.i386
libdrm-2.4.0-0.9.fc9.x86_64
xorg-x11-drv-i810-2.2.1-9.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.x86_64

How reproducible:

always

Steps to Reproduce:
1. boot with i915.modeset=1
2. note X cursor corruption

Additional info:

Thinkpad T61 with Intel graphics.

Comment 1 Charles R. Anderson 2008-03-09 18:01:54 UTC
Created attachment 297371 [details]
xorg.conf

Comment 2 Charles R. Anderson 2008-03-09 18:02:35 UTC
Created attachment 297372 [details]
Xorg.0.log with xorg.conf and i915.modeset=1

Comment 3 Charles R. Anderson 2008-03-09 18:03:18 UTC
Created attachment 297373 [details]
Xorg.0.log with xorg.conf and without i915.modeset=1

Comment 4 Dave Airlie 2008-03-11 06:59:21 UTC
should be fixed in the 107 kernel currently building in koji.

Comment 5 Charles R. Anderson 2008-03-13 22:05:44 UTC
Verified fix on the 113 kernel.



Note You need to log in before you can comment on or make changes to this bug.